//------------------------------------------------------------------------------
// CYmDecruncher.pas
//------------------------------------------------------------------------------
//
// Description: 	Implementation of the CYmSong
//
// Autor:			Sledge Hammer of Grinder
//
// Release:		January 2002
//
// This code is based on the AY_EMUL from Sergey Bulba.
// Read YmPlayer.txt in the docs folder for more information.

//------------------------------------------------------------------------------
// Constructor and Destructor
//------------------------------------------------------------------------------

// Constructor
//
constructor CYmSong.Create;
begin
	Reset;
end;

// Destructor
//
destructor CYmSong.Destroy;
begin
	inherited;
end;

//------------------------------------------------------------------------------
// Public declarations
//------------------------------------------------------------------------------

// Resets the internal song informations
//
procedure CYmSong.Reset;
begin
	Author := '';
   Mod_Name := '';
   Prog_Name := '';
   Track_Name := '';
   Comment_String := '';
   Date_String := '';
   FileName := '';
   Offset := 0;
   Address := 0;
   Length := 0;
   FileType := YM3File;
   USize := 0;
   Loop_VBL := -1;
   SoundChip_Frq := -2;
   Player_Frq := -2;
   Channel_Mode := modeABC;
   Chip_Type := No_Chip;
   Number_Of_Channels := 0;
   Time_Length := 0;
   AL := 0;
   AR := 0;
   BL := 0;
   BR := 0;
   CL := 0;
   CR := 0;
end;
